"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const model_1 = require("./model");
const Transport_1 = require("./Transport");
class BittrexClient {
    constructor(options) {
        this.options = options;
        this.transport = new Transport_1.Transport(options);
    }
    async balance(currency) {
        return this.transport.request(model_1.BalanceData, '/account/getbalance', { currency: currency });
    }
    async balances() {
        return this.transport.request(model_1.BalanceData, '/account/getbalances');
    }
    async ticker(market) {
        return this.transport.request(model_1.TickerData, '/public/getticker', { market: market });
    }
    async orderHistory(market) {
        return this.transport.request(model_1.OrderHistoryData, '/account/getorderhistory', { market: market });
    }
}
exports.BittrexClient = BittrexClient;
//# sourceMappingURL=Bittrex.js.map